Deployments.ai Docs
Budgets

List a budget's periods with spend

GET /v1/budgets/{id}/periods · SDK listBudgetPeriods · CLI deployments budget periods

GET
/v1/budgets/{id}/periods

Requires budgets:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 24

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListBudgetPeriodsResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/budgets/string/periods" \  -H "x-deployments-organization: string"
{  "items": [    {      "amountUsdMicros": 1,      "budgetId": "string",      "current": true,      "exhausted": true,      "notifiedThresholds": [        1      ],      "period": "daily",      "periodEnd": "2019-08-24T14:15:22Z",      "periodStart": "2019-08-24T14:15:22Z",      "spendUsdMicros": 0    }  ],  "nextCursor": "string"}